const WITHDRAWAL_URI = require("../config").WITHDRAWAL_URI;
const req = require("../utils/request").httpReq;
// const controller_utils = require('./utils')

/**
 * 示例
 *  exports.方法名 = async ctx => {
 *    const url = `${设置好的域名}/向服务端发送的请求地址`;
 *    const opts = {
 *      url,
 *      method:"发送什么请求"，
 *      qs: ctx.request.query （get请求的参数）
 *      body：ctx.request.body （post请求的参数）
 *      json：boolean (是否转换为json)
 *    };
 *    ctx.body = await req(ctx,opts); 将发送请求后的数据传递给前端页面
 *  };
 */
// 获取提现审核列表
exports.getApplyList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/apply_list`;
    const opts = {
        url,
        method: "GET",
        qs: ctx.request.query
    };
    ctx.body = await req(ctx, opts);
};
// 获取黑名单冻结账户
exports.getBlackList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/blacklist`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body
    };
    ctx.body = await req(ctx, opts);
};
// 获取通过、拒绝订单审核
exports.getWithdrawAudit = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/withdraw_audit`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
        timeout: 10000
    }
    ctx.body = await req(ctx, opts)
}
// 获取提现失败冻结
exports.getFreezingFund = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/back_freezing_fund`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body
    }
    ctx.body = await req(ctx, opts)
}
// 获取提现审核详情
exports.getApplyDetail = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/apply_detail`;
    const opts = {
        url,
        method: "GET",
        qs: ctx.request.query
    }
    ctx.body = await req(ctx, opts)
}

// 提现审核迭代
// 获取钱包账户列表
exports.getAccountList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/account_list`;
    const opts = {
        url,
        method: "GET",
        qs: ctx.request.query
    }
    ctx.body = await req(ctx, opts)
}
// 获取钱包账户流水列表
exports.getRecordList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/record_list`;
    const opts = {
        url,
        method: "GET",
        qs: ctx.request.query
    }
    ctx.body = await req(ctx, opts)
}
// 钱包账户黑名单
exports.getAccountBlackList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/blacklist`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body
    }
    ctx.body = await req(ctx, opts)
}
// 钱包账户释放
exports.getReblackList = async ctx => {
    const url = `${WITHDRAWAL_URI}/wallet/background/reblacklist`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body
    }
    ctx.body = await req(ctx, opts)
}
// 获取钱包账户余额状态
exports.getWalletAccountStatus = async ctx=>{
    const url = `${WITHDRAWAL_URI}/wallet/background/get_wallet_account_status`;
    const opts = {
        url,
        method: "GET",
        qs: ctx.request.query
    }
    ctx.body = await req(ctx,opts)
}
// 钱包账户余额状态
exports.resetAccountStatus = async ctx=>{
    const url = `${WITHDRAWAL_URI}/wallet/background/reset_wallet_account_status`;
    const opts = {
        url,
        method:"POST",
        json:true,
        body:ctx.request.body
    }
    ctx.body = await req(ctx,opts)
}

const getUserPermission = async (ctx) => {
    const url = `${WITHDRAWAL_URI}/merchant/authority/get_role_list`;
    const { email, op_cur_user } = ctx.request.query;
    const user = email || op_cur_user;
    const opts = {
      url,
      method: "GET",
      qs: {
        // user_email: "jianghaiming@126.com"
        user_email: user
      }
    };
    return await req(ctx, opts);
  }
  exports.getAll_role_list = async (ctx, next) => {
    ctx.body = await getUserPermission(ctx);
  }