import { render } from "@testing-library/vue";
import ExaminePage from "..";
import { getApplyList } from "@/service/Withdrawal/withdrawal";
import store from "@/store";

jest.mock("@/service/Withdrawal/withdrawal");

it("should not enable audition for people without such privilege", () => {
  const $route = {
    path: "/op/withdrawal/examine"
  };

  getApplyList.mockResolvedValue({
    code: 0,
    status: "success",
    result: {
      list: [
        {
          withdraw_apply_id: "21072711253403105009",
          wallet_id: "21072214560673105003",
          user_id: 510227177373,
          amount: "6.00",
          withdraw_apply_status: 0,
          withdraw_audit_time: "2021-07-27 11:25:34",
          refuse_reason: "",
          audit_user_name: "",
          create_time: "2021-07-27 11:25:34",
          lately_amount: "0.00",
          id: "21072711253403105009",
          city_name: "简网员工",
          lately_share: 0,
          lately_download: 0,
          history_share: 52,
          history_download: 0,
          history_download_keep: "0%",
          status_text: "待审核"
        }
      ],
      count: 1
    }
  });

  const { getByText } = render(ExaminePage, {
    store,
    global: {
      mocks: {
        $route,
        $store: {
          getters: {
            moduleSubPermissions: jest.fn().mockReturnValue(true)
          }
        }
      }
    }
  });

  getByText("审核");
});
