// 提现审核
const withdrawalRoutes = [
  {
    path: "/op/withdrawal",
    redirect: "/op/withdrawal/examine"
  },
  {
    path: "/op/withdrawal/examine",
    name: "Examine",
    component: () =>
      import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Examine")
  },
  // 钱包账户
  {
    path: "/op/withdrawal/walletaccount",
    name: "walletAccount",
    component: () =>
      import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/walletAccount")
  },
  {
    path: "/op/withdrawal/flowrecord",
    name: "flowRecord",
    component: () =>
      import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/walletAccount/flowRecord")
  },
  //用户管理
  {
    path: "/op/withdrawal/user",
    name: "User",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/User/userList"
      )
  },
  {
    path: "/op/withdrawal/roleManageRole",
    name: "KeepRoleManagement",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/manage-role"
      ),
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  //角色管理
  {
    path: "/op/withdrawal/roleAddRole",
    name: "AddRole",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/add-role"
      ),
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/op/withdrawal/roleRoleDetail",
    name: "withdrawalRoleDetail",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/role-detail"
      )
  },
  {
    path: "/op/withdrawal/h5",
    name: "withdrawalh5",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Examine/h5"
      )
  },
  {
    path: "/op/withdrawal/withdrawDetail",
    name: "withdrawDetail",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Examine/withdrawDetail"
      )
  }
];

export default withdrawalRoutes;
