import axios from "@/utils/request";
import { defaultParams } from "./common";

const getParams = (p = {}) => {
  return { ...defaultParams, ...p };
};

// 获取提现审核列表
export async function getApplyList(params) {
  const res = await axios.get("/api/v1/get_withdrawal_apply_list", {
    params: getParams(params)
  });
  return res;
}
// 黑名单，冻结用户
export async function getBlackList(params) {
  const res = await axios.post(
    "/api/v1/get_withdrawal_black_list",
    getParams(params)
  );
  return res;
}
// 获取订单审核--通过，拒绝
export async function getWithdrawAudit(params) {
  const res = await axios.post("/api/v1/get_withdraw_audit", getParams(params));
  return res;
}
// 获取提现失败冻结
export async function getFreezingFund(params) {
  const res = await axios.post("/api/v1/get_freezing_fund", getParams(params));
  return res;
}
// 获取提现审核详情
export async function getApplyDetail(params) {
  const res = await axios.get("/api/v1/get_apply_detail", {
    params: getParams(params)
  });
  return res;
}
//权限列表
export async function getRolesForUser(user_email) {
  const res = await axios.post(
    "/api/v1/merchant/authority/get_role_list?appid=merchant-op-auditing",
    {
      user_email
    }
  );
  return res.permissions;
}
// 迭代---钱包账户
// 获取账户列表
export async function getAccountList(params) {
  const res = await axios.get("/api/v1/get_account_list", {params});
  return res;
}
// 获取账户流水列表
export async function getRecordList(params) {
  const res = await axios.get("/api/v1/get_record_list",{params});
  return res;
}
// 钱包账户-黑名单
export async function getAccountBlackList(params) {
  const res = await axios.post("/api/v1/get_account_black_list", params)
    return res;
}
// 钱包账户-释放
export async function getReblackList(params) {
  const res = await axios.post("/api/v1/get_reblack_list",params)
  return res;
}
// 获取钱包账户余额状态
export async function getWalletAccountStatus(params) {
  const res = await axios.get("/api/v1/get_wallet_account_status",{params})
  return res;
}
// 钱包账户余额状态（开启按钮）
export async function resetAccountStatus(params) {
  const res = await axios.post("/api/v1/reset_wallet_account_status",params)
  return res;
}