import axios from '../utils/request';
import { getCookie } from "@/utils/util";

export async function yd_login (userInfo) {
  const res = await axios.post("/api/v1/YD_login", userInfo);
  return res;
}

export async function j_login (userInfo) {
  const res = await axios.post("/api/v1/J_login", userInfo);
  return res;
}

export async function fetchCurrentUser () {
  let isDefault = window.localStorage.getItem('isDefault');
  let username = getCookie('username')
  if(isDefault == 2) return {user:{email:username}, status: 'success'};
  return await axios.get("/api/v1/fetch_user");
}

export async function getPermissions (email) {
  console.log("fe service, getPermissions:::", email)
  return await axios.get("/api/v1/user/get_permissions", { params: { email } });
}

export async function getUserList (params) {
  return await axios.get("/api/v1/users", { params });
}

export async function getUserDetail (params) {
  return await axios.get("/api/v1/users/detail", { params });
}

export async function editUser (data, appid) {
  const opts = {
    method: "post",
    url: "/api/v1/users/edit",
    params: { appid },
    data: data
  };
  return await axios(opts);

  // return await axios.post("/api/v1/users/edit", data);
}

export async function createUser (data, appid) {
  const opts = {
    method: "post",
    url: "/api/v1/users/new",
    params: { appid },
    data: data
  };
  return await axios(opts);
  // return await axios.post("/api/v1/users/new", data);
}
//用户详情
// export async function getUser_detail (user_id) {
//   const res = await axios.post(`/api/v1/merchant/authority/get_user_info`, {
//     user_id
//   })
//   return res.result;
// }
